Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.jpa.bridge
Class JpaSelectQuery

    java.lang.Object
      org.apache.cayenne.query.IndirectQuery
          org.apache.cayenne.jpa.bridge.JpaIndirectQuery
              org.apache.cayenne.jpa.bridge.JpaSelectQuery

All Implemented Interfaces:
  Serializable, ParameterizedQuery, Query

    public class JpaSelectQuery

extends JpaIndirectQuery

An indirect query that resolves to Cayenne SelectQuery using information from JPA query hints.

Author:
  Andrus Adamchik
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.cayenne.jpa.bridge.JpaIndirectQuery
`jpaQuery, parameters, parentEntity, parentMap`

Fields inherited from class org.apache.cayenne.query.IndirectQuery
`lastResolver, name, replacementQuery`

Constructor Summary
`JpaSelectQuery()`

Method Summary
`protected Query` | `createReplacementQuery(EntityResolver resolver)` Creates a SelectQuery using query hints.

Methods inherited from class org.apache.cayenne.jpa.bridge.JpaIndirectQuery
`createQuery, getJpaQuery, getParentEntity, getParentMap, setJpaQuery, setParentEntity, setParentMap`

Methods inherited from class org.apache.cayenne.query.IndirectQuery
`createSQLAction, getMetaData, getName, getReplacementQuery, route, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cayenne.query.Query
`createSQLAction, getMetaData, getName, route`

Constructor Detail

### JpaSelectQuery

    public JpaSelectQuery()

Method Detail

### createReplacementQuery

    protected Query createReplacementQuery(EntityResolver resolver)

  Creates a SelectQuery using query hints.

  Specified by:
    `createReplacementQuery` in class `IndirectQuery`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Cayenne. All Rights Reserved.